Package com.google.android.exoplayer2.effect

## Class RgbAdjustment.Builder

- java.lang.Object
- - com.google.android.exoplayer2.effect.RgbAdjustment.Builder

- Enclosing class:
    RgbAdjustment

      public static final class RgbAdjustment.Builder
      extends Object

  A builder for `RgbAdjustment` instances.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder()` | Creates a new instance with default values.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RgbAdjustment` | `build()` | Creates a new `RgbAdjustment` instance.
    `RgbAdjustment.Builder` | `setBlueScale​(float blueScale)` | Scales the blue channel of the frame by `blueScale`.
    `RgbAdjustment.Builder` | `setGreenScale​(float greenScale)` | Scales the green channel of the frame by `greenScale`.
    `RgbAdjustment.Builder` | `setRedScale​(float redScale)` | Scales the red channel of the frame by `redScale`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

      Creates a new instance with default values.

  - ### Method Detail

    - #### setRedScale

          @CanIgnoreReturnValue
          public RgbAdjustment.Builder setRedScale​(float redScale)

      Scales the red channel of the frame by `redScale`.
      Parameters:
        `redScale` - The scale to apply to the red channel. Needs to be non-negative and the default value is `1`.

    - #### setGreenScale

          @CanIgnoreReturnValue
          public RgbAdjustment.Builder setGreenScale​(float greenScale)

      Scales the green channel of the frame by `greenScale`.
      Parameters:
        `greenScale` - The scale to apply to the green channel. Needs to be non-negative and the default value is `1`.

    - #### setBlueScale

          @CanIgnoreReturnValue
          public RgbAdjustment.Builder setBlueScale​(float blueScale)

      Scales the blue channel of the frame by `blueScale`.
      Parameters:
        `blueScale` - The scale to apply to the blue channel. Needs to be non-negative and the default value is `1`.

    - #### build

          public RgbAdjustment build()

      Creates a new `RgbAdjustment` instance.